Bug 1572471 - [registration]Admin user with AMQ Approver role only failed in approving AMQ online plan
Summary: [registration]Admin user with AMQ Approver role only failed in approving AMQ ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Accounts and Billing
Version: 3.x
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Timothy Williams
QA Contact: yufchang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-27 05:58 UTC by yufchang
Modified: 2018-05-29 14:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 14:13:04 UTC
Target Upstream Version:


Attachments (Terms of Use)
0-approval (141.29 KB, image/png)
2018-04-27 05:58 UTC, yufchang
no flags Details

Description yufchang 2018-04-27 05:58:12 UTC
Created attachment 1427484 [details]
0-approval

Description of problem:
Admin user with AMQ Approver role only failed in approving AMQ online in admin panel. The Button "Approve AMQ Online" can be access, but in fact approval does not take effective. 

Version-Release number of selected component (if applicable):
https://manage.stg.openshift.com/ 

How reproducible:
always

Steps to Reproduce:
1.Prepare a user with "AMQ Approver role", eg User A;
2.Prepare an waiting for approval AMQ online plan subscription;
3.Login registratoin by user A to approve AMQ online plan in admin panel;

Actual results:
0 AmqOnline subscriptions were approved successfully.

Expected results:
AmqOnline subscriptions can be approved successfully.

Additional info:
Attachment. Super admin can approve. Read-only + AMQ Approver role can not approve either.

Comment 2 yufchang 2018-04-28 03:09:03 UTC
verified on https://manage.stg.openshift.com/ . Please feel free to move to On-QA.

Comment 3 yufchang 2018-05-02 02:03:38 UTC
Verified on  https://manage.stg.openshift.com/


Note You need to log in before you can comment on or make changes to this bug.